Summary:  KDE Frameworks 5 Tier 2 addon with auto completion widgets and classes
Name:     kf5-kcompletion
Version:  5.110.0
%global   majmin %majmin_ver_kf5
%global   stable %stable_kf5
Release:  1%{?dist}
License:  LGPLv2+
URL:      https://invent.kde.org/frameworks/kcompletion
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/kcompletion-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kconfig-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}, kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel



%description
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets.

%package  devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kcompletion-%{version} -p1



%build
%cmake_kf5

%cmake_build



%install
%cmake_install

%find_lang_kf5 kcompletion5_qt



%files -f kcompletion5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Completion.so.*
%{_kf5_qtplugindir}/designer/*5widgets.so
%{_kf5_datadir}/qlogging-categories5/kcompletion.*

%files devel
%{_kf5_libdir}/libKF5Completion.so
%{_kf5_libdir}/cmake/KF5Completion/
%{_kf5_includedir}/KCompletion/
%{_kf5_archdatadir}/mkspecs/modules/qt_KCompletion.pri



%changelog
* Tue Nov 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial
